Bug 209689 - oobase fails to start
oobase fails to start
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2006-10-06 15:58 EDT by Nigel Horne
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-02 11:23:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nigel Horne 2006-10-06 15:58:10 EDT
Description of problem:

oobase fails to start
Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start term
2. type oobase
Actual results:
The program 'soffice.bin' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadRequest (invalid request code or no such operation)'.
  (Details: serial 83 error_code 1 request_code 145 minor_code 1)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

Expected results:

oobase should start

Additional info:
Comment 1 Caolan McNamara 2006-10-07 07:35:41 EDT
That's fairly unusual, there's no other reports of this, and FC-5 has been
released for quite some time. Without any other information I would suspect that
something else has changed, not OOo itself. 

Any idea if anything else possibly relevent has changed on your box recently ?
Comment 2 Nigel Horne 2006-10-07 10:04:19 EDT
The only recent change was to install oobase using yum.
Comment 3 Caolan McNamara 2006-10-07 20:03:34 EDT
it works here (tm), which I know isn't particularly useful for you :-), so let's
see if we can narrow it down to make it reproducable for me...

a) KDE or GNOME ?
b) does just oobase fail, i.e. are oowriter and oocalc ok ?
c) do you have a different java installed, i.e. not using gij/gcj ?, 
   e.g. launch a non-crashing OOo component, e.g. writer and what is listed under 
   tools->options->openoffice.org->java ?
d) what's your display depth, i.e. output of... 
   xdpyinfo | grep "depth of root window"
Comment 4 Nigel Horne 2006-10-08 06:50:20 EDT
a) Gnome
b) Only oobase
c) Free software Foundation 1.4.2
d) depth of root window:    24 planes
Comment 5 Caolan McNamara 2006-10-09 03:20:00 EDT
exactly the same as me here :-( I assume it's not an x86_64 box as the arch is
i686 so there's can't be anything unusual there.

Maybe the video driver, what does "grep drivers /var/log/Xorg.0.log" say ?
Comment 6 Caolan McNamara 2006-11-02 11:23:33 EST
just not able to reproduce this :-(

Note You need to log in before you can comment on or make changes to this bug.